Extract
Create Extract Job
List Extract Jobs
Get Extract Job
Delete Extract Job
Validate Extraction Schema
Generate Extraction Schema
ModelsExpand Collapse
ExtractConfiguration { extract_options, parse_config_id, parse_tier }
Extraction configuration combining parse and extract settings.
Extract-specific configuration options including the data schema
data_schema: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
JSON schema used for extraction
cite_sources?: boolean
Include citations in results
confidence_scores?: boolean
Include confidence scores in results
extract_version?: string
Extraction algorithm version to use (e.g., '2026-01-08', 'latest')
extraction_target?: "per_doc" | "per_page" | "per_table_row"
Extraction scope: per_doc, per_page, or per_table_row
system_prompt?: string | null
Custom system prompt for extraction
tier?: "cost_effective" | "agentic"
Extraction tier: cost_effective (10 credits) or agentic (20 credits)
parse_config_id?: string | null
Parse config ID used for extraction
parse_tier?: string | null
Parse tier to use for extraction (e.g. fast, cost_effective, agentic).
ExtractJobMetadata { field_metadata, parse_job_id, parse_tier, usage }
Extraction metadata.
Metadata for extracted fields including document, page, and row level info.
document_metadata?: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null> | null
page_metadata?: Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>> | null
row_metadata?: Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>> | null
parse_job_id?: string | null
Reference to the ParseJob ID used for parsing
parse_tier?: string | null
Parse tier used for parsing the document
Extraction usage metrics.
num_document_tokens?: number | null
Number of document tokens
num_output_tokens?: number | null
Number of output tokens
num_pages_extracted?: number | null
Number of pages extracted
ExtractJobUsage { num_document_tokens, num_output_tokens, num_pages_extracted }
Extraction usage metrics.
num_document_tokens?: number | null
Number of document tokens
num_output_tokens?: number | null
Number of output tokens
num_pages_extracted?: number | null
Number of pages extracted
ExtractOptions { data_schema, cite_sources, confidence_scores, 4 more }
Extract-specific configuration options.
data_schema: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
JSON schema used for extraction
cite_sources?: boolean
Include citations in results
confidence_scores?: boolean
Include confidence scores in results
extract_version?: string
Extraction algorithm version to use (e.g., '2026-01-08', 'latest')
extraction_target?: "per_doc" | "per_page" | "per_table_row"
Extraction scope: per_doc, per_page, or per_table_row
system_prompt?: string | null
Custom system prompt for extraction
tier?: "cost_effective" | "agentic"
Extraction tier: cost_effective (10 credits) or agentic (20 credits)
ExtractV2Job { id, created_at, parameters, 9 more }
An extraction job.
id: string
Unique job identifier (job_id)
created_at: string
Creation timestamp
parameters: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
Job configuration parameters (includes parse_config_id, extract_options)
project_id: string
Project this job belongs to
status: "PENDING" | "THROTTLED" | "RUNNING" | 3 more
Current status of the job
type: "url" | "file_id" | "parse_job_id"
Type of document input.
updated_at: string
Last update timestamp
value: string
Document identifier (URL, file ID, or parse job ID).
configuration_id?: string | null
Extract configuration ID (ProductConfiguration) used for this job (if any)
error_message?: string | null
Error message if failed
Extraction metadata.
Metadata for extracted fields including document, page, and row level info.
document_metadata?: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null> | null
page_metadata?: Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>> | null
row_metadata?: Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>> | null
parse_job_id?: string | null
Reference to the ParseJob ID used for parsing
parse_tier?: string | null
Parse tier used for parsing the document
Extraction usage metrics.
num_document_tokens?: number | null
Number of document tokens
num_output_tokens?: number | null
Number of output tokens
num_pages_extracted?: number | null
Number of pages extracted
extract_result?: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null> | Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>> | null
Extracted data (object or array depending on extraction_target)
Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>>
ExtractV2JobCreate { type, value, config, 2 more }
Request to create an extraction job. Provide configuration_id or inline config.
type: "url" | "file_id" | "parse_job_id"
Type of document input.
value: string
Document identifier (URL, file ID, or parse job ID).
Extraction configuration combining parse and extract settings.
Extract-specific configuration options including the data schema
data_schema: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
JSON schema used for extraction
cite_sources?: boolean
Include citations in results
confidence_scores?: boolean
Include confidence scores in results
extract_version?: string
Extraction algorithm version to use (e.g., '2026-01-08', 'latest')
extraction_target?: "per_doc" | "per_page" | "per_table_row"
Extraction scope: per_doc, per_page, or per_table_row
system_prompt?: string | null
Custom system prompt for extraction
tier?: "cost_effective" | "agentic"
Extraction tier: cost_effective (10 credits) or agentic (20 credits)
parse_config_id?: string | null
Parse config ID used for extraction
parse_tier?: string | null
Parse tier to use for extraction (e.g. fast, cost_effective, agentic).
configuration_id?: string | null
Saved extract configuration ID (mutually exclusive with config)
webhook_configurations?: Array<WebhookConfiguration { webhook_events, webhook_headers, webhook_output_format, webhook_url } > | null
The outbound webhook configurations
webhook_events?: Array<"extract.pending" | "extract.success" | "extract.error" | 14 more> | null
List of event names to subscribe to
webhook_headers?: Record<string, string> | null
Custom HTTP headers to include with webhook requests.
webhook_output_format?: string | null
The output format to use for the webhook. Defaults to string if none supplied. Currently supported values: string, json
webhook_url?: string | null
The URL to send webhook notifications to.
ExtractV2JobQueryResponse { items, next_page_token, total_size }
Paginated list of extraction jobs.
The list of items.
id: string
Unique job identifier (job_id)
created_at: string
Creation timestamp
parameters: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
Job configuration parameters (includes parse_config_id, extract_options)
project_id: string
Project this job belongs to
status: "PENDING" | "THROTTLED" | "RUNNING" | 3 more
Current status of the job
type: "url" | "file_id" | "parse_job_id"
Type of document input.
updated_at: string
Last update timestamp
value: string
Document identifier (URL, file ID, or parse job ID).
configuration_id?: string | null
Extract configuration ID (ProductConfiguration) used for this job (if any)
error_message?: string | null
Error message if failed
Extraction metadata.
Metadata for extracted fields including document, page, and row level info.
document_metadata?: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null> | null
page_metadata?: Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>> | null
row_metadata?: Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>> | null
parse_job_id?: string | null
Reference to the ParseJob ID used for parsing
parse_tier?: string | null
Parse tier used for parsing the document
Extraction usage metrics.
num_document_tokens?: number | null
Number of document tokens
num_output_tokens?: number | null
Number of output tokens
num_pages_extracted?: number | null
Number of pages extracted
extract_result?: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null> | Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>> | null
Extracted data (object or array depending on extraction_target)
Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
Array<Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>>
next_page_token?: string | null
A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.
total_size?: number | null
The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.
ExtractV2SchemaGenerateRequest { data_schema, file_id, name, prompt }
Request schema for generating an extraction schema.
data_schema?: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null> | string | null
Optional schema to validate, refine, or extend
Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
file_id?: string | null
Optional file ID to analyze for schema generation
name?: string | null
Name for the generated configuration (auto-generated if omitted)
prompt?: string | null
Natural language description of the data structure to extract
ExtractV2SchemaValidateRequest { data_schema }
Request schema for validating an extraction schema.
data_schema: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null> | string
Schema to validate
Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
ExtractV2SchemaValidateResponse { data_schema }
Response schema for schema validation.
data_schema: Record<string, Record<string, unknown> | Array<unknown> | string | 2 more | null>
Validated JSON schema
ExtractedFieldMetadata { document_metadata, page_metadata, row_metadata }
Metadata for extracted fields including document, page, and row level info.